services:
  dataease:
    image: registry.cn-qingdao.aliyuncs.com/dataease/dataease:v2.10.19
    restart: always
    container_name: ${CONTAINER_NAME}
    ports:
      - ${PANEL_APP_PORT_HTTP}:8100
    volumes:
      - ./conf:/opt/apps/config
      - ./logs:/opt/dataease2.0/logs
      - ./data/static-resource:/opt/dataease2.0/data/static-resource
      - ./cache:/opt/dataease2.0/cache
      - ./data/geo:/opt/dataease2.0/data/geo
      - ./data/exportData:/opt/dataease2.0/data/exportData
      - ./data/font:/opt/dataease2.0/data/font
    environment:
      PANEL_DB_HOST: ${PANEL_DB_HOST}
      PANEL_DB_PORT: ${PANEL_DB_PORT}
      PANEL_DB_USER: ${PANEL_DB_USER}
      PANEL_DB_USER_PASSWORD: ${PANEL_DB_USER_PASSWORD}
      PANEL_DB_NAME: ${PANEL_DB_NAME}
    networks:
      - opsmind-network
    labels:
      createdBy: "Apps"

networks:
  opsmind-network:
    external: true